﻿using BarChart;
using Syncfusion.SfChart.XForms.UWP;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NativeChart = Syncfusion.UI.Xaml.Charts;
using Xamarin.Forms.Platform.UWP;
using Syncfusion.SfChart.XForms;
using Windows.UI.Xaml;

[assembly: ExportRenderer(typeof(ChartExt), typeof(BarChart.UWP.CustomRenderer))]
namespace BarChart.UWP
{
    class CustomRenderer :SfChartRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<SfChart> e)
        {
            base.OnElementChanged(e);
            foreach(var series in Control.Series)
            {
                (series as NativeChart.RangeColumnSeries).AdornmentsInfo.ShowMarker = true;
                (series as NativeChart.RangeColumnSeries).AdornmentsInfo.Symbol = Syncfusion.UI.Xaml.Charts.ChartSymbol.Square;
                (series as NativeChart.RangeColumnSeries).AdornmentsInfo.SymbolHeight = 30;
                (series as NativeChart.RangeColumnSeries).AdornmentsInfo.SymbolWidth = 50;
                (series as NativeChart.RangeColumnSeries).AdornmentsInfo.UseSeriesPalette = true;
                (series as NativeChart.RangeColumnSeries).AdornmentsInfo.LabelPosition = Syncfusion.UI.Xaml.Charts.AdornmentsLabelPosition.Center;
                (series as NativeChart.RangeColumnSeries).AdornmentsInfo.LabelTemplate = Application.Current.Resources["labelTemplate"] as DataTemplate;
            }
        }
    }
}
