﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace BarChart
{
   public class ChartSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> datas1;
        ObservableCollection<ChartDataPoint> datas2;
        public ChartSample()
        {
            datas1 = new ObservableCollection<ChartDataPoint>();
            datas1.Add(new ChartDataPoint(1, -0.22, -0.11));
            datas1.Add(new ChartDataPoint(2, -0.43, -0.22));
          
            datas2 = new ObservableCollection<ChartDataPoint>();
            datas2.Add(new ChartDataPoint(1, -0.11, 0.15));
            datas2.Add(new ChartDataPoint(2, -0.22, 0.04));
         
            ChartExt chart = new ChartExt();

            NumericalAxis xAxis = new NumericalAxis();
            xAxis.IsVisible = false;
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            yAxis.Minimum = -0.6;
            yAxis.Maximum = 0.2;
            yAxis.Interval = 0.2;
            yAxis.LabelCreated += YAxis_LabelCreated;
            chart.SecondaryAxis = yAxis;

            RangeColumnSeries series1 = new RangeColumnSeries();
            series1.IsTransposed = true;
            series1.ItemsSource = datas1;
            series1.DataMarker = new ChartDataMarker() { ShowLabel = true, ShowMarker = false };
            series1.DataMarker.LabelStyle.LabelPosition = DataMarkerLabelPosition.Center;        
            chart.Series.Add(series1);

            RangeColumnSeries series2 = new RangeColumnSeries();
            series2.IsTransposed = true;
            series2.ItemsSource = datas2;
            series2.DataMarker = new ChartDataMarker() { ShowLabel = true, ShowMarker = false };
            series2.DataMarker.LabelStyle.LabelPosition = DataMarkerLabelPosition.Center;
            chart.Series.Add(series2);

            chart.SideBySideSeriesPlacement = false;

            Content = chart;
        }

        private void YAxis_LabelCreated(object sender, ChartAxisLabelEventArgs e)
        {
            e.LabelContent = e.LabelContent + "%";
        }
    }

    public class ChartExt : SfChart
    {

    }
}
